Skip to main content
GET
/
schedule-management
/
v1
/
mabis
/
aggregation-objects
List Aggregation Objects
curl --request GET \
  --url https://api.engrate.io/schedule-management/v1/mabis/aggregation-objects \
  --header 'Authorization: <api-key>'
[
  {
    "id": "<string>",
    "tso": "<string>",
    "dso": "<string>",
    "aggregation_type": "<string>",
    "status": "<string>",
    "date_from": "<string>",
    "sender": 123,
    "receiver": 123,
    "mga": "<string>",
    "brp": "<string>",
    "aggregation_subtypes": [
      "<string>"
    ],
    "time_series_type": "<string>",
    "date_to": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Query Parameters

tso_area
string | null

TSO Y area code filter (e.g., 10YDE-EON------1)

sender
string | null

Sender MP-ID filter (DSO) - returns MGAs managed by this DSO

aggregation_object
string | null

Aggregation object ID filter

aggregation_type
string | null

Type filter (BAS, SLP, RLM)

aggregation_subtype
string | null

Subtype/OBIS code filter

month
string | null

Month for validity filter (YYYY-MM)

Response

Successful Response

id
string
required

Aggregation object identifier (MaBiS-ZP ID)

tso
string
required

TSO Y area code (e.g., 10YDE-EON------1)

dso
string
required

Distribution system operator identifier

aggregation_type
string
required

Type: BAS, FPE, FPI, SLP, RLM

status
string
required

Status: pending, confirmed, rejected, deactivated

date_from
string
required

Valid from date (YYYY-MM-DD)

sender
integer | null

Sender MP-ID (DSO responsible for this MGA)

receiver
integer | null

Receiver MP-ID

mga
string | null

MGA Y area code (Marktgebietsverantwortlicher)

brp
string | null

Balance responsible party EIC

aggregation_subtypes
string[]

OBIS codes

time_series_type
string | null

Summenzeitreihe type (Z95-ZG7, e.g., ZA6=ASZR)

date_to
string | null

Valid to date (YYYY-MM-DD)